Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.net
Class Test1

    java.lang.Object
      com.ejie.r01f.net.Test1

public class Test1
extends java.lang.Object

Prueba de conexiones http

Constructor Summary
`Test1()` Constructor vacío

Method Summary
`static void` | `_test_HTTPS_Proxy(java.lang.String url, java.lang.String proxyHost, java.lang.String proxyPort, java.lang.String proxyUser, java.lang.String proxyPwd)` Probar una conexion HTTPS con Proxy
`static void` | `_testHTTClient()` Ejemplo de HttpClient + HTTPS + PROXY + POSTING
`static void` | `main(java.lang.String[] argv)` Metodo main (para probar el temilla...)

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Test1

    public Test1()

  Constructor vacío

Method Detail

### main

    public static void main(java.lang.String[] argv)

  Metodo main (para probar el temilla...)

  Throws:
    `java.lang.Exception`
    `java.io.IOException`

### _test_HTTPS_Proxy

    public static void _test_HTTPS_Proxy(java.lang.String url,
                                         java.lang.String proxyHost,
                                         java.lang.String proxyPort,
                                         java.lang.String proxyUser,
                                         java.lang.String proxyPwd)
                                  throws java.io.IOException

  Probar una conexion HTTPS con Proxy

  Parameters:
    `url` - la url a la que conectar
    `proxyPort` - el puerto del proxy
    `proxyUser` - el usuario del proxy
    `proxyPwd` - el password del proxy
  Throws:
    `java.io.IOException`

### _testHTTClient

    public static void _testHTTClient()
                               throws java.io.IOException

  Ejemplo de HttpClient + HTTPS + PROXY + POSTING

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD